Bug 1118775 - [abrt] rawstudio: _dbus_header_get_byte_order(): rawstudio killed by SIGSEGV
Summary: [abrt] rawstudio: _dbus_header_get_byte_order(): rawstudio killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 920897
Alias: None
Product: Fedora
Classification: Fedora
Component: rawstudio
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d7571268f31e129c0f5f1eb2613...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 13:56 UTC by Mikhail Yarashevich
Modified: 2015-02-25 16:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-25 16:45:19 UTC


Attachments (Terms of Use)
File: backtrace (45.31 KB, text/plain)
2014-07-11 13:56 UTC, Mikhail Yarashevich
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-11 13:56 UTC, Mikhail Yarashevich
no flags Details
File: core_backtrace (32.72 KB, text/plain)
2014-07-11 13:56 UTC, Mikhail Yarashevich
no flags Details
File: dso_list (15.00 KB, text/plain)
2014-07-11 13:56 UTC, Mikhail Yarashevich
no flags Details
File: environ (1.48 KB, text/plain)
2014-07-11 13:56 UTC, Mikhail Yarashevich
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-11 13:56 UTC, Mikhail Yarashevich
no flags Details
File: maps (75.28 KB, text/plain)
2014-07-11 13:57 UTC, Mikhail Yarashevich
no flags Details
File: open_fds (1.14 KB, text/plain)
2014-07-11 13:57 UTC, Mikhail Yarashevich
no flags Details
File: proc_pid_status (943 bytes, text/plain)
2014-07-11 13:57 UTC, Mikhail Yarashevich
no flags Details
File: var_log_messages (803 bytes, text/plain)
2014-07-11 13:57 UTC, Mikhail Yarashevich
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2014-07-11 13:57 UTC, Mikhail Yarashevich
no flags Details

Description Mikhail Yarashevich 2014-07-11 13:56:49 UTC
Description of problem:
Program crashes on start, not working.

Version-Release number of selected component:
rawstudio-2.0-12.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        rawstudio
crash_function: _dbus_header_get_byte_order
executable:     /usr/bin/rawstudio
kernel:         3.15.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dbus_header_get_byte_order at dbus-marshal-header.c:178
 #1 _dbus_header_get_field_basic at dbus-marshal-header.c:1370
 #2 dbus_message_get_reply_serial at dbus-message.c:1091
 #3 _dbus_connection_queue_received_message_link at dbus-connection.c:501
 #4 _dbus_transport_queue_messages at dbus-transport.c:1157
 #5 _dbus_connection_get_dispatch_status_unlocked at dbus-connection.c:4211
 #6 dbus_connection_get_dispatch_status at dbus-connection.c:4342
 #7 message_queue_prepare at dbus-gmain.c:71
 #8 g_main_context_prepare at gmain.c:3340
 #11 gtk_main at gtkmain.c:1257

Comment 1 Mikhail Yarashevich 2014-07-11 13:56:52 UTC
Created attachment 917318 [details]
File: backtrace

Comment 2 Mikhail Yarashevich 2014-07-11 13:56:54 UTC
Created attachment 917319 [details]
File: cgroup

Comment 3 Mikhail Yarashevich 2014-07-11 13:56:56 UTC
Created attachment 917320 [details]
File: core_backtrace

Comment 4 Mikhail Yarashevich 2014-07-11 13:56:57 UTC
Created attachment 917321 [details]
File: dso_list

Comment 5 Mikhail Yarashevich 2014-07-11 13:56:58 UTC
Created attachment 917322 [details]
File: environ

Comment 6 Mikhail Yarashevich 2014-07-11 13:56:59 UTC
Created attachment 917323 [details]
File: limits

Comment 7 Mikhail Yarashevich 2014-07-11 13:57:03 UTC
Created attachment 917324 [details]
File: maps

Comment 8 Mikhail Yarashevich 2014-07-11 13:57:04 UTC
Created attachment 917325 [details]
File: open_fds

Comment 9 Mikhail Yarashevich 2014-07-11 13:57:05 UTC
Created attachment 917326 [details]
File: proc_pid_status

Comment 10 Mikhail Yarashevich 2014-07-11 13:57:06 UTC
Created attachment 917327 [details]
File: var_log_messages

Comment 11 Mikhail Yarashevich 2014-07-11 13:57:07 UTC
Created attachment 917328 [details]
File: exploitable

Comment 12 Anders Brander 2014-12-03 07:46:41 UTC
Propably a duplicate of bug #920897.

Comment 13 Sergio Monteiro Basto 2015-02-25 16:45:19 UTC

*** This bug has been marked as a duplicate of bug 920897 ***


Note You need to log in before you can comment on or make changes to this bug.